%global srcname Chameleon

Name:           python-chameleon
Version:        4.3.0
Release:    3%{?dist}
Summary:        XML-based template compiler

License:        BSD
URL:            https://github.com/malthe/chameleon
Source0:        https://github.com/malthe/chameleon/archive/%{version}/chameleon-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-lxml
BuildRequires:  python3-zope-interface


%global _description\
Chameleon is an XML attribute language template compiler. It comes with\
implementations for the Zope Page Templates (ZPT) and Genshi templating\
languages.\
\
The engine compiles templates into Python byte-code. This results in\
performance which is on average 10-15 times better than implementations which\
use run-time interpretation.

%description %_description

%package -n python3-chameleon
Summary: %summary

Requires:   python3-setuptools
Requires:   python3-zope-interface
Requires:   python3-lxml
%{?python_provide:%python_provide python3-chameleon}

%description -n python3-chameleon %_description

%prep
%autosetup -n chameleon-%{version}

%build
%py3_build

%install
%py3_install

rm -rf  %{buildroot}%{python3_sitelib}/chameleon/tests
find %{buildroot}%{python3_sitelib}/chameleon -name '*.txt' -exec rm \{\} \;

%check
%{__python3} setup.py test


%files -n python3-chameleon
%doc README.rst
%{python3_sitelib}/chameleon/
%{python3_sitelib}/Chameleon-%{version}*

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 4.3.0-3
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 4.3.0-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.0-1
- initial build
